Skip to main content

List Merchants

This endpoint returns a paginated list of merchants available on the MX platform.

GET
/{client_id}/merchants

Query String Parameters

FieldRequiredType

page

The page of the results you would like to view. Defaults to page 1 if no page is specified.

Optional
Integer

records_per_page

The number of records returned in a single page of the request. This may range from 10 to 1000. Default is 25.

Optional
Integer

Request sample


_10
curl -i -X GET https://int-deduction.moneydesktop.com/:client_id/merchants?records_per_page=25&page=1 \
_10
-H "Accept: application/vnd.mx.deduction.v1+json" \
_10
-H "MD-API-KEY: :api_key"

Response sample


_41
{
_41
"merchants": [
_41
{
_41
"name": "1-800 Contacts",
_41
"guid": "MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5",
_41
"website_url": "https://www.1800contacts.com",
_41
"logo_url": "https://content.mx.com/logos/merchants/MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5.png"
_41
},
_41
{
_41
"name": "1-800 Flowers",
_41
"guid": "MCH-dfef19bb-1af4-bbaa-db41-434b4b1c8f04",
_41
"website_url": "https://www.1800flowers.com",
_41
"logo_url": "https://content.mx.com/logos/merchants/MCH-dfef19bb-1af4-bbaa-db41-434b4b1c8f04.png"
_41
},
_41
{
_41
"name": "24 Hour Fitness",
_41
"guid": "MCH-9559c6fb-c05f-ee9e-bb33-ce23078df1a0",
_41
"website_url": "https://www.24hourfitness.com",
_41
"logo_url": "https://content.mx.com/logos/merchants/MCH-9559c6fb-c05f-ee9e-bb33-ce23078df1a0.png"
_41
},
_41
{
_41
"name": "2nd & Charles",
_41
"guid": "MCH-af297c68-fd13-9f40-c69c-6674eed832fa",
_41
"website_url": "https://www.2ndandcharles.com",
_41
"logo_url": "https://content.mx.com/logos/merchants/MCH-af297c68-fd13-9f40-c69c-6674eed832fa.png"
_41
},
_41
{
_41
"name": "365 Retail Markets",
_41
"guid": "MCH-76429973-29a5-e8e0-bb45-b523d4f78e40",
_41
"website_url": "https://www.365retailmarkets.com",
_41
"logo_url": "https://content.mx.com/logos/merchants/MCH-76429973-29a5-e8e0-bb45-b523d4f78e40.png"
_41
},
_41
...
_41
],
_41
"pagination_data": {
_41
"total_records_found": 1150,
_41
"total_pages": 46,
_41
"current_page": 1,
_41
"records_on_current_page": 25
_41
}
_41
}